export default class XLSExport {
    constructor(fetchMethod: any, { filename }: {
        filename: any;
    });
    filename: string;
    fetchMethod: any;
    downloadProgress: {
        count: number;
    };
    resetProgress(): void;
    extractNameFromObject(value: any): any;
    calculateColumnWidths(data: any, columns: any): any;
    save(data: any, columns: any): void;
    fetchAndPrepareData(params: any): Promise<{
        data: any[];
        columns: any;
    }>;
    export(params: any): Promise<void>;
}
